Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.encoding.ser
Class Base64BinaryArrayDeserializer

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.encoding.DeserializerImpl
                  org.apache.axis.encoding.ser.ArrayDeserializer
                      org.jboss.webservice.encoding.ser.Base64BinaryArrayDeserializer

All Implemented Interfaces:
  org.apache.axis.encoding.Callback, ContentHandler, javax.xml.rpc.encoding.Deserializer, org.apache.axis.encoding.Deserializer, DTDHandler, EntityResolver, ErrorHandler, Serializable

public class Base64BinaryArrayDeserializer
extends org.apache.axis.encoding.ser.ArrayDeserializer

DOCUMENT ME!

Author:
  thomas.diesler@jboss.org
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.encoding.ser.ArrayDeserializer
`org.apache.axis.encoding.ser.ArrayDeserializer.ArrayListExtension`

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.ArrayDeserializer
`arrayType, curIndex`

Fields inherited from class org.apache.axis.encoding.DeserializerImpl
`defaultType, id, isEnded, isHref, isNil, targets, value`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`Base64BinaryArrayDeserializer()`

Methods inherited from class org.apache.axis.encoding.ser.ArrayDeserializer
`characters, onStartChild, onStartElement, setChildValue, valueComplete`

Methods inherited from class org.apache.axis.encoding.DeserializerImpl
`addChildDeserializer, componentsReady, endElement, getDefaultType, getMechanismType, getValue, getValue, getValueTargets, moveValueTargets, onEndElement, registerValueTarget, removeValueTargets, setDefaultType, setValue, setValue, startElement`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64BinaryArrayDeserializer

    public Base64BinaryArrayDeserializer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.